Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(14)

Issue 1407883002: Add new experimental IDBObjectStore.getKey(query) API (Closed)

Created:
2 years, 1 month ago by jsbell
Modified:
1 year, 2 months ago
Reviewers:
cmumford
CC:
chromium-reviews, michaeln, jsbell+serviceworker_chromium.org, kenjibaheux+watch_chromium.org, tzik, serviceworker-reviews, jam, kinuko+serviceworker, nhiroki, falken, darin-cc_chromium.org, horo+watch_chromium.org, blink-reviews, dgrogan, jsbell+idb_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add IDBObjectStore.getKey(query) API (experimental) When probing for existence this avoids the deserialization and cursor overhead and identifies a specific key in a range, which are drawbacks to get(), count(), or openKeyCursor(). Also makes the store and index query APIs the same shape. Intent to Implement: https://groups.google.com/a/chromium.org/d/topic/blink-dev/LNvvdSbgAqw/discussion Spec: https://w3c.github.io/IndexedDB/#dom-idbobjectstore-getkey Committed: https://crrev.com/1e5f0bc7ac92517bd79bee8b53dbdc894f5798f5 Cr-Commit-Position: refs/heads/master@{#415047}

Patch Set 1 #

Patch Set 2 : Rebased #

Patch Set 3 : Rebased #

Patch Set 4 : Rebased #

Total comments: 1

Patch Set 5 : git cl format #

Unified diffs Side-by-side diffs Delta from patch set Stats (+162 lines, -9 lines) Patch
M content/browser/indexed_db/indexed_db_database.cc View 1 2 3 4 2 chunks +14 lines, -8 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/serviceworker/webexposed/global-interface-listing-service-worker-expected.txt View 1 2 3 2 chunks +2 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/storage/indexeddb/idbobjectstore_getkey.html View 1 chunk +104 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-compositor-worker-expected.txt View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-dedicated-worker-expected.txt View 1 2 3 2 chunks +2 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-expected.txt View 1 2 3 4 2 chunks +2 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-shared-worker-expected.txt View 1 2 3 2 chunks +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/indexeddb/IDBObjectStore.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/indexeddb/IDBObjectStore.cpp View 1 2 3 1 chunk +33 lines, -1 line 0 comments Download
M third_party/WebKit/Source/modules/indexeddb/IDBObjectStore.idl View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 20 (13 generated)
jsbell
cmumford@ - Firefox has gone ahead and implemented this so we might as well. Please ...
1 year, 2 months ago (2016-08-26 19:06:50 UTC) #4
cmumford
On 2016/08/26 19:06:50, jsbell wrote: > cmumford@ - Firefox has gone ahead and implemented this ...
1 year, 2 months ago (2016-08-29 18:28:36 UTC) #9
jsbell
On 2016/08/29 18:28:36, cmumford wrote: > Still reviewing, but you probably want the Intent to ...
1 year, 2 months ago (2016-08-29 18:37:01 UTC) #12
cmumford
lgtm % nit. https://codereview.chromium.org/1407883002/diff/60001/content/browser/indexed_db/indexed_db_database.cc File content/browser/indexed_db/indexed_db_database.cc (right): https://codereview.chromium.org/1407883002/diff/60001/content/browser/indexed_db/indexed_db_database.cc#newcode968 content/browser/indexed_db/indexed_db_database.cc:968: callbacks->OnSuccess(*key); Indenting is wrong.
1 year, 2 months ago (2016-08-29 19:03:23 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/1407883002/80001
1 year, 2 months ago (2016-08-29 19:31:28 UTC) #16
commit-bot: I haz the power
Committed patchset #5 (id:80001)
1 year, 2 months ago (2016-08-30 03:22:40 UTC) #18
commit-bot: I haz the power
1 year, 2 months ago (2016-08-30 03:25:14 UTC) #20
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/1e5f0bc7ac92517bd79bee8b53dbdc894f5798f5
Cr-Commit-Position: refs/heads/master@{#415047}

Powered by Google App Engine
This is Rietveld efc10ee0f